<?php

ViewResponse::getInstance()->setMethodAjax();
/*****************************************/
$o_ObjectBean = new ClienteBean();
  
//$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales

	
if($idCliente   	!=""){ $o_ObjectBean->setIdCliente($idCliente); }
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($Dni       		!=""){ $o_ObjectBean->setDni($Dni); }
if($IdMercado     	!=""){ $o_ObjectBean->setIdMercado($IdMercado); }
if($cboTipoNegocio  !=""){ $o_ObjectBean->setIdTipoNegocio($cboTipoNegocio); } 
if($cboSexo   		!=""){ $o_ObjectBean->setSexo($cboSexo); } 
if($txtNombre      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }


$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ObjectBean);
/*****************************************/

 /*if($o_objBean->getEstado()=='A'){
   	  $estado="Activo";
      }elseif ($o_objBean->getEstado()=='I'){
      	$estado="Inactivo";
      }*/

$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(250,7,'Listado de Clientes',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(10,7,'Nro',0,0,'L',1);
$pdf->Cell(70,7,'Clientes',0,0,'L',1);
$pdf->Cell(15,7,'Dni',0,0,'L',1);
$pdf->Cell(15,7,'Telefono',0,0,'L',1);
$pdf->Cell(15,7,'Estado',0,0,'L',1);
$pdf->Cell(20,7,'Usr.Ult.Act.',0,0,'L',1);
$pdf->Cell(10,7,'Fec.Ult.Act.',0,1,'L',1);
/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',6);

if(count($a_ObjectBean)>0){
	
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
  
      
    $pdf->SetX(POS_IZQ);
    
    $pdf->Cell(10,7,($iKey+1),0,0,'L',1);
    $pdf->Cell(70,7,ucwords(strtolower($o_objBean->getNombreCompleto())),0,0,'L',1);
    $pdf->Cell(15,7,$o_objBean->getDni(),0,0,'L',1);
    $pdf->Cell(15,7,$o_objBean->getTelefono(),0,0,'L',1);
    $pdf->Cell(15,7,$o_objBean->getEstado(),0,0,'L',1);
    $pdf->Cell(20,7,strtoupper($o_objBean->getUsuarioModificacion()),0,0,'L',1); 
    $pdf->Cell(10,7,$o_objBean->getFechaModificacion(),0,1,'L',1);
    
   
    
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(250,7,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>